[lkml]   [2010]   [Mar]   [5]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
    SubjectRe: [git pull] drm request 3
    On Fri, 5 Mar 2010 16:56:10 +0100
    Luca Barbieri <> wrote:

    > It seems to me that Linus' technical argument is indeed being mostly ignored.
    > While breaking the ABI is unfortunate, the real problem that Linus
    > complained about is that you can't install several userspace versions
    > side-by-side.

    I think you need to be clearer about that. Your distribution packaging
    may not support that out of the box. There are a variety of ways to do
    almsot all of this including having entire parallel X installs for
    development work.

    All the X builds are modular, all the modular builds support --prefix=
    with their autogen script. supports LD_LIBRARY_PATH and the shells
    support PATH variables.

    You can replace all or almost any part of X quite easily. There is also a
    mechanism for versioning within DRM for a lot of stuff, and drivers use
    flags to make it work nicely except for devel code (which is what Nouveau

    The fundamental problem you can't solve by versioning though is the exact
    one here. A new kernel that requires version X of a driver won't help if
    the newest version you have is X - 1.

    Yeah perhaps Fedora should have pushed an update that was smart enough to
    handle the Nouveau old/new ABI before the patch went upstream. Hindsight
    is an exact science.


     \ /
      Last update: 2010-03-05 17:13    [W:0.020 / U:37.960 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site